Missing menus on the Error Console and Software Update windows

RESOLVED FIXED in 1.4

Status

Instantbird
Other
--
trivial
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: florian, Assigned: florian)

Tracking

trunk
x86
Mac OS X

Details

Attachments

(1 attachment)

(Assignee)

Description

4 years ago
*** Original post on bio 1898 at 2013-03-14 14:09:00 UTC ***

Firefox handles that with overlays:
% overlay chrome://global/content/console.xul chrome://browser/content/jsConsoleOverlay.xul
% overlay chrome://mozapps/content/update/updates.xul chrome://browser/content/softwareUpdateOverlay.xul
(Assignee)

Comment 1

4 years ago
Created attachment 8354043 [details] [diff] [review]
Patch

*** Original post on bio 1898 as attmnt 2278 at 2013-03-14 23:56:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354043 - Flags: review?
(Assignee)

Updated

4 years ago
Assignee: nobody → florian
(Assignee)

Comment 2

4 years ago
*** Original post on bio 1898 at 2013-03-14 23:59:10 UTC ***

Comment on attachment 8354043 [details] [diff] [review] (bio-attmnt 2278)
Patch


>diff --git a/instantbird/content/softwareUpdateOverlay.xul b/instantbird/content/softwareUpdateOverlay.xul

>+<overlay id="jsConsoleOverlay"

I've just replaced this with "softwareUpdateOverlay" locally. Will be correct for the next version of the patch, or for check-in if there's nothing else to adjust.
Comment on attachment 8354043 [details] [diff] [review]
Patch

*** Original change on bio 1898 attmnt 2278 at 2013-03-15 00:03:46 UTC ***

I can't test this, but it looks fine to me (and is exactly what Firefox does).
Attachment #8354043 - Flags: review? → review+
*** Original post on bio 1898 at 2013-03-16 12:48:26 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/92ec4f8ae435
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.